	Program BOX
c
c	Author: R N Caffin
c
c	Basic Test routine for Plotter, HVPLOT Library and, optionally, the
c	 PL Handler
c	Draws a box.
C	WITH ADDITIONS TO SHOW THE SYMBOLS AVAILABLE BY E. GRIGOLATO
c
c	Initialise the system
	INTEGER HP,TT,Q
	COMMON /TEMP/Q
	DATA Q/0/
	COMMON /HPTTNO/HP,TT
	common	/zzhv/hv,plonsw,flh,flv,flsh,flsv
	byte	hv,plonsw,flh,flv,flsh,flsv
	DATA HP/20/
	DATA TT/12/
	BYTE T1,F1
	DATA T1,F1/.TRUE.,.FALSE./
	CALL ASSIGN(TT,'TT:',3)

	call init()			!Basic set-up and select device
	IF (Q.NE.0) GOTO 999
	IF ((FLH.EQ..FALSE.).AND.(FLV.EQ..FALSE.))GOTO 999
	CALL PLON(1)			!Choose pen and turn plotter on
	IF ((HV.EQ..FALSE.).AND.(PLONSW.EQ..FALSE.)) GOTO 999
	call scale(-12.,+12.,-12.,+12.)	!Set up the scale

c	Draw the box

	call jump(-10.0,-10.0)
	call draw(-10.0,+10.0)
	call draw(+10.0,+10.0)
	call draw(+10.0,-10.0)
	call draw(-10.0,-10.0)
	call select(2)
	CALL SETCA(5)
	call labexy(-9.5,0.,1.0,0.,'Box + Symbols')
	call size(0.,0.)
	CALL SELECT(3)
	CALL SYMBOL(-5.,-5.,1)
	CALL SYMBOL(-5.,+5.,2)
	CALL SYMBOL(+5.,+5.,3)
	CALL SYMBOL(+5.,-5.,4)
	call select(4)
	CALL SYMBOL(-8.,-8.,5)
	CALL SYMBOL(+8.,+8.,6)
	CALL SYMBOL(-8.,+8.,7)
	CALL SYMBOL(+8.,-8.,8)
	REWIND HP
c	Clean up

	call home			!Return pen to holder and eject paper
	REWIND HP
	call check()			!Check for errors
	REWIND HP
	call ploff			!Disable the plotter
c
999	WRITE(TT,1000)
1000	FORMAT(X)
	CALL EXIT
	end
